nxt.dgs

## Class DigitalGoodsHome.Purchase

- java.lang.Object
- - nxt.dgs.DigitalGoodsHome.Purchase

- Enclosing class:
    DigitalGoodsHome

      public final class DigitalGoodsHome.Purchase
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBuyerId()`
    `ChildChain` | `getChildChain()`
    `int` | `getDeliveryDeadlineTimestamp()`
    `DigitalGoodsHome` | `getDGSHome()`
    `long` | `getDiscountNQT()`
    `EncryptedData` | `getEncryptedGoods()`
    `java.util.List<EncryptedData>` | `getFeedbackNotes()`
    `long` | `getGoodsId()`
    `long` | `getId()`
    `EncryptedData` | `getNote()`
    `long` | `getPriceNQT()`
    `java.util.List<java.lang.String>` | `getPublicFeedbacks()`
    `int` | `getQuantity()`
    `EncryptedData` | `getRefundNote()`
    `long` | `getRefundNQT()`
    `long` | `getSellerId()`
    `int` | `getTimestamp()`
    `boolean` | `goodsIsText()`
    `boolean` | `hasFeedbackNotes()`
    `boolean` | `hasPublicFeedbacks()`
    `boolean` | `isPending()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getId

          public long getId()

    - #### getBuyerId

          public long getBuyerId()

    - #### getGoodsId

          public long getGoodsId()

    - #### getSellerId

          public long getSellerId()

    - #### getQuantity

          public int getQuantity()

    - #### getPriceNQT

          public long getPriceNQT()

    - #### getDeliveryDeadlineTimestamp

          public int getDeliveryDeadlineTimestamp()

    - #### getNote

          public EncryptedData getNote()

    - #### isPending

          public boolean isPending()

    - #### getTimestamp

          public int getTimestamp()

    - #### getEncryptedGoods

          public EncryptedData getEncryptedGoods()

    - #### goodsIsText

          public boolean goodsIsText()

    - #### getRefundNote

          public EncryptedData getRefundNote()

    - #### hasFeedbackNotes

          public boolean hasFeedbackNotes()

    - #### getFeedbackNotes

          public java.util.List<EncryptedData> getFeedbackNotes()

    - #### hasPublicFeedbacks

          public boolean hasPublicFeedbacks()

    - #### getPublicFeedbacks

          public java.util.List<java.lang.String> getPublicFeedbacks()

    - #### getDiscountNQT

          public long getDiscountNQT()

    - #### getRefundNQT

          public long getRefundNQT()

    - #### getDGSHome

          public DigitalGoodsHome getDGSHome()

    - #### getChildChain

          public ChildChain getChildChain()